:root {
    --clr-green: hsl(75, 94%, 57%);
    --clr-white: hsl(0, 0%, 100%);
    --clr-grey: hsl(0, 0%, 20%);
    --clr-dark-grey: hsl(0, 0%, 12%);
    --clr-off-black: hsl(0, 0%, 8%);

    --ff-default: "Inter", sans-serif;

    --fw-regular: 400;
    --fw-semibold: 600;
    --fw-bold: 700;
}

body {
    background: var(--clr-off-black);
    font-family: var(--ff-default);
    font-size: 0.875rem;
    font-weight: var(--fw-regular);
    min-height: 100vh;
    margin: 0 1.25rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

main {
    width: 100%;
    max-width: 360px;
}

.social-links {
    background: var(--clr-dark-grey);
    max-width: 360px;
    padding: 2rem;
    border-radius: 0.625rem;
    text-align: center;
}

.social-links__header,
.social-links__list {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.social-links__header {
    row-gap: 1.375rem;
    margin-bottom: 1.375rem;
}

.social-links__image {
    display: block;
    max-width: 30%;
    border-radius: 50%;
}

.social-links__name {
    font-size: 1.5rem;
    margin-bottom: 0.438rem;
}

.social-links__location {
    font-style: normal;
    font-weight: var(--fw-semibold);
    color: var(--clr-green);
}

.social-links__name,
.social-links__about {
    color: var(--clr-white);
}

.social-links__list {
    padding: 0;
    list-style: none;
    row-gap: 0.875rem;
}

.social-links__list-item {
    min-width: 100%;
}

.social-links__link {
    background: var(--clr-grey);
    padding: 0.688rem 0;
    border-radius: 0.438rem;
    display: flex;
    justify-content: center;
    text-decoration: none;
    font-weight: var(--fw-bold);
    color: var(--clr-white);
    transition: all 0.5s ease;
}

.social-links__link:hover {
    background-color: var(--clr-green);
    color: var(--clr-grey);
}